Bug 857327 - "shutdown" vs "stop" VM not clear
"shutdown" vs "stop" VM not clear
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
All Unspecified
medium Severity medium
: ---
: ---
Assigned To: Tomas Jelinek
Lukas Svaty
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 02:50 EDT by Dan Yasny
Modified: 2013-03-07 20:50 EST (History)
12 users (show)

See Also:
Fixed In Version: si20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:04:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yasny 2012-09-14 02:50:51 EDT
Description of problem:
it is not clear what stop and shutdown will do. As per discussion in rhev-beta, I suggest changing "stop" to either "kill" or "pull plug"

Version-Release number of selected component (if applicable):
3.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2012-09-14 05:25:41 EDT
what about rest api terminology?
Comment 2 Dan Yasny 2012-09-14 05:44:41 EDT
(In reply to comment #1)
> what about rest api terminology?

This is exactly why I was trying to shorten the wording, "shutdown" works fine, and stop can be replaced by "kill"

I am not entirely happy with "kill" though, sounds just as negative as "destroy"
Comment 4 Chris Tusa 2012-09-14 14:40:24 EDT
Destroy would indicate a permanent condition such as delete; whereas "kill" is at least a unix signal; however, it would be helpful to dig in and understand if we are sending a "SIGKILL" a "SIGTERM" or using some other facility when issuing the poweroff.

For more friendly terminilogy, I suggest:

shutdown => "shutdownos" => Shut Down OS
stop => "poweroff" => Power Off


For the API, could we not just create an alias name?
Comment 5 Stephen Gordon 2012-09-14 15:15:07 EDT
FWIW virt-manager uses the terminology 'Shutdown' and 'Force Off' for these actions.
Comment 6 Andrew Cathrow 2012-09-16 14:31:56 EDT
Let's go with Shutdown and Power Off.
Comment 7 Tomas Jelinek 2012-09-19 04:51:35 EDT
in userportal and webadmin changed: http://gerrit.ovirt.org/#/c/8043/
Comment 8 Tomas Jelinek 2012-09-25 03:18:20 EDT
merged u/s: 557dc300cf2d33f25aac2f438b89b8d149bf3a6d

Note You need to log in before you can comment on or make changes to this bug.